## rust-cargo-c 0.9.5

=== debian/changelog ===
rust-cargo-c (0.9.5-2) unstable; urgency=medium

  * debian/patches: Relax dependency on cbindgen to >= 0.20

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Jun 2022 19:06:22 +0200

rust-cargo-c (0.9.5-1) unstable; urgency=medium

  * Package cargo-c 0.9.5+cargo-0.57 from crates.io using debcargo 2.5.0

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 24 Jun 2022 00:37:01 +0200
