=== debian/control ===
Source: rust-cargo-c
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-cargo-0.57+default-dev,
 librust-cargo-util-0.1+default-dev,
 librust-cbindgen+default-dev (>= 0.20-~~),
 librust-cc-1+default-dev,
 librust-glob-0.3+default-dev,
 librust-itertools-0.10+default-dev,
 librust-log-0.4+default-dev,
 librust-regex-1+default-dev,
 librust-semver-1+default-dev (>= 1.0.3-~~),
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.62-~~),
 librust-structopt-0.3+color-dev,
 librust-structopt-0.3+default-dev,
 librust-toml-0.5+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cargo-c]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cargo-c
Rules-Requires-Root: no

Package: librust-cargo-c-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-cargo-0.57+default-dev,
 librust-cargo-util-0.1+default-dev,
 librust-cbindgen+default-dev (>= 0.20-~~),
 librust-cc-1+default-dev,
 librust-glob-0.3+default-dev,
 librust-itertools-0.10+default-dev,
 librust-log-0.4+default-dev,
 librust-regex-1+default-dev,
 librust-semver-1+default-dev (>= 1.0.3-~~),
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.62-~~),
 librust-structopt-0.3+color-dev,
 librust-structopt-0.3+default-dev,
 librust-toml-0.5+default-dev
Provides:
 librust-cargo-c+default-dev (= ${binary:Version}),
 librust-cargo-c-0-dev (= ${binary:Version}),
 librust-cargo-c-0+default-dev (= ${binary:Version}),
 librust-cargo-c-0.9-dev (= ${binary:Version}),
 librust-cargo-c-0.9+default-dev (= ${binary:Version}),
 librust-cargo-c-0.9.5-dev (= ${binary:Version}),
 librust-cargo-c-0.9.5+default-dev (= ${binary:Version})
Description: Helper program to build and install c-like libraries - Rust source code
 This package contains the source for the Rust cargo-c crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: cargo-c
Architecture: any
Multi-Arch: allowed
Section: rust
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Helper program to build and install c-like libraries
 cargo-c is an extension for Cargo, the Rust package manger, that allows
 users to build and install C-ABI compatible dynamic and static
 libraries. It produces and installs pkg-config files, a static and a
 dynamic library, and C headers to be used by any C-compatible software.
