## rust-cargo-c 0.9.14

=== debian/changelog ===
rust-cargo-c (0.9.14-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.14+cargo-0.66 from crates.io using debcargo 2.6.0

 -- Peter Michael Green <plugwash@debian.org>  Thu, 12 Jan 2023 13:04:24 +0000

rust-cargo-c (0.9.11-1) unstable; urgency=medium

  * Package cargo-c 0.9.11+cargo-0.63 from crates.io using debcargo 2.6.0
  * Drop fix-deps.patch - no longer needed.

  [ Fabian Gruenbichler ]
  * Team upload.
  * Package cargo-c 0.9.11+cargo-0.63 from crates.io using debcargo 2.5.0

 -- Peter Michael Green <plugwash@debian.org>  Thu, 17 Nov 2022 08:30:41 +0000
