=== debian/control ===
--- 
+++ 
@@ -7,27 +7,30 @@
  rustc:native,
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
- librust-cargo-0.57+default-dev,
- librust-cargo-util-0.1+default-dev,
- librust-cbindgen+default-dev (>= 0.20-~~),
+ librust-cargo-0.66+default-dev,
+ librust-cargo-util-0.2+default-dev,
+ librust-cbindgen-0.24+default-dev (>= 0.24.3-~~),
  librust-cc-1+default-dev,
+ librust-clap-3+cargo-dev (>= 3.1-~~),
+ librust-clap-3+color-dev (>= 3.1-~~),
+ librust-clap-3+default-dev (>= 3.1-~~),
+ librust-clap-3+derive-dev (>= 3.1-~~),
  librust-glob-0.3+default-dev,
  librust-itertools-0.10+default-dev,
  librust-log-0.4+default-dev,
- librust-regex-1+default-dev,
+ librust-regex-1+default-dev (>= 1.5.6-~~),
  librust-semver-1+default-dev (>= 1.0.3-~~),
  librust-serde-1+default-dev (>= 1.0.123-~~),
  librust-serde-derive-1+default-dev,
  librust-serde-json-1+default-dev (>= 1.0.62-~~),
- librust-structopt-0.3+color-dev,
- librust-structopt-0.3+default-dev,
  librust-toml-0.5+default-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cargo-c]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cargo-c
+X-Cargo-Crate: cargo-c
 Rules-Requires-Root: no
 
 Package: librust-cargo-c-dev
@@ -36,20 +39,22 @@
 Depends:
  ${misc:Depends},
  librust-anyhow-1+default-dev,
- librust-cargo-0.57+default-dev,
- librust-cargo-util-0.1+default-dev,
- librust-cbindgen+default-dev (>= 0.20-~~),
+ librust-cargo-0.66+default-dev,
+ librust-cargo-util-0.2+default-dev,
+ librust-cbindgen-0.24+default-dev (>= 0.24.3-~~),
  librust-cc-1+default-dev,
+ librust-clap-3+cargo-dev (>= 3.1-~~),
+ librust-clap-3+color-dev (>= 3.1-~~),
+ librust-clap-3+default-dev (>= 3.1-~~),
+ librust-clap-3+derive-dev (>= 3.1-~~),
  librust-glob-0.3+default-dev,
  librust-itertools-0.10+default-dev,
  librust-log-0.4+default-dev,
- librust-regex-1+default-dev,
+ librust-regex-1+default-dev (>= 1.5.6-~~),
  librust-semver-1+default-dev (>= 1.0.3-~~),
  librust-serde-1+default-dev (>= 1.0.123-~~),
  librust-serde-derive-1+default-dev,
  librust-serde-json-1+default-dev (>= 1.0.62-~~),
- librust-structopt-0.3+color-dev,
- librust-structopt-0.3+default-dev,
  librust-toml-0.5+default-dev
 Provides:
  librust-cargo-c+default-dev (= ${binary:Version}),
@@ -57,8 +62,8 @@
  librust-cargo-c-0+default-dev (= ${binary:Version}),
  librust-cargo-c-0.9-dev (= ${binary:Version}),
  librust-cargo-c-0.9+default-dev (= ${binary:Version}),
- librust-cargo-c-0.9.5-dev (= ${binary:Version}),
- librust-cargo-c-0.9.5+default-dev (= ${binary:Version})
+ librust-cargo-c-0.9.14-dev (= ${binary:Version}),
+ librust-cargo-c-0.9.14+default-dev (= ${binary:Version})
 Description: Helper program to build and install c-like libraries - Rust source code
  This package contains the source for the Rust cargo-c crate, packaged by
  debcargo for use with cargo and dh-cargo.
