## rust-cargo-c 0.9.19

=== debian/changelog ===
rust-cargo-c (0.9.19-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:06:43 +1100

rust-cargo-c (0.9.19-2build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:18:38 +0000

rust-cargo-c (0.9.19-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:13:37 +0000

rust-cargo-c (0.9.19-2) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.19+cargo-0.70 from crates.io using debcargo 2.6.1
  * Relax dependencies on itertools and toml.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 30 Jan 2024 16:50:24 +0000

rust-cargo-c (0.9.19-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.19+cargo-0.70 from crates.io using debcargo 2.6.0
  * drop windows-sys dependency

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 15 Dec 2023 13:33:51 +0100

rust-cargo-c (0.9.14-2) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.14+cargo-0.66 from crates.io using debcargo 2.6.0
  * Bump cbindgen dependency.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 28 Sep 2023 06:23:51 +0000
