## rust-cargo-c 0.9.29

=== debian/changelog ===
rust-cargo-c (0.9.29-2ubuntu2) oracular; urgency=medium

  * d/rules: remove lock file
  * d/control: make librust-cargo-c-dev an architecture-independent package

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 19 Sep 2024 14:59:07 -0600

rust-cargo-c (0.9.29-2ubuntu1) oracular; urgency=medium

  * d/rules, vendor: use vendored source
  * d/patches: add patches for vendored sources
  * d/control: remove B-D on system Rust packages and add vendored sources tag

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 12 Sep 2024 15:40:58 -0600

rust-cargo-c (0.9.29-2) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.29+cargo-0.76.0 from crates.io using debcargo 2.6.1
  * Bump cbindgen dependency to 0.27.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 11 Sep 2024 01:01:49 +0000

rust-cargo-c (0.9.29-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.29+cargo-0.76.0 from crates.io using debcargo 2.6.1

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 12 Jul 2024 20:20:53 +0200
