=== debian/control ===
Source: rust-cargo-c
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native (>= 1.72),
 libstd-rust-dev,
 libcurl4-openssl-dev,
 libssh2-1-dev,
 libgit2-dev,
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cargo-c]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cargo-c
X-Cargo-Crate: cargo-c
Rules-Requires-Root: no
XS-Vendored-Sources-Rust: adler@1.0.2, aho-corasick@1.1.2, anstream@0.6.5, anstyle-parse@0.2.3, anstyle-query@1.0.2, anstyle-wincon@3.0.2, anstyle@1.0.4, anyhow@1.0.77, arc-swap@1.6.0, autocfg@1.1.0, base16ct@0.2.0, base64@0.21.5, base64ct@1.6.0, bitflags@1.3.2, bitflags@2.4.1, bitmaps@2.1.0, block-buffer@0.10.4, bstr@1.9.0, btoi@0.4.3, bumpalo@3.14.0, bytes@1.5.0, bytesize@1.3.0, cargo-credential-libsecret@0.4.1, cargo-credential-macos-keychain@0.4.1, cargo-credential-wincred@0.4.1, cargo-credential@0.4.1, cargo-platform@0.1.6, cargo-util@0.2.8, cargo@0.76.0, cbindgen@0.27.0, cc@1.0.83, cfg-if@1.0.0, clap@4.4.12, clap_builder@4.4.12, clap_derive@4.4.7, clap_lex@0.6.0, clru@0.6.1, color-print-proc-macro@0.3.5, color-print@0.3.5, colorchoice@1.0.0, const-oid@0.9.6, core-foundation-sys@0.8.6, core-foundation@0.9.4, cpufeatures@0.2.11, crates-io@0.39.1, crc32fast@1.3.2, crossbeam-channel@0.5.10, crossbeam-deque@0.8.4, crossbeam-epoch@0.9.17, crossbeam-utils@0.8.18, crypto-bigint@0.5.5, crypto-common@0.1.6, ct-codecs@1.1.1, curl-sys@0.4.70+curl-8.5.0, curl@0.4.44, der@0.7.8, deranged@0.3.10, digest@0.10.7, dunce@1.0.4, ecdsa@0.16.9, ed25519-compact@2.0.6, either@1.9.0, elliptic-curve@0.13.8, encoding_rs@0.8.33, equivalent@1.0.1, erased-serde@0.4.1, errno@0.3.8, faster-hex@0.8.1, faster-hex@0.9.0, fastrand@2.0.1, ff@0.13.0, fiat-crypto@0.2.5, filetime@0.2.23, flate2@1.0.28, form_urlencoded@1.2.1, generic-array@0.14.7, getrandom@0.2.11, git2-curl@0.19.0, git2@0.18.1, gix-actor@0.28.1, gix-attributes@0.20.1, gix-bitmap@0.2.8, gix-chunk@0.4.5, gix-command@0.2.10, gix-commitgraph@0.22.1, gix-config-value@0.14.1, gix-config@0.31.0, gix-credentials@0.21.0, gix-date@0.8.1, gix-diff@0.37.0, gix-discover@0.26.0, gix-features@0.35.0, gix-features@0.36.1, gix-filter@0.6.0, gix-fs@0.8.1, gix-glob@0.14.1, gix-hash@0.13.3, gix-hashtable@0.4.1, gix-ignore@0.9.1, gix-index@0.26.0, gix-lock@11.0.1, gix-macros@0.1.1, gix-negotiate@0.9.0, gix-object@0.38.0, gix-odb@0.54.0, gix-pack@0.44.0, gix-packetline-blocking@0.16.6, gix-packetline@0.16.7, gix-path@0.10.1, gix-pathspec@0.4.1, gix-prompt@0.7.0, gix-protocol@0.41.1, gix-quote@0.4.8, gix-ref@0.38.0, gix-refspec@0.19.0, gix-revision@0.23.0, gix-revwalk@0.9.0, gix-sec@0.10.1, gix-submodule@0.5.0, gix-tempfile@11.0.1, gix-trace@0.1.4, gix-transport@0.38.0, gix-traverse@0.34.0, gix-url@0.25.2, gix-utils@0.1.6, gix-validate@0.8.1, gix-worktree@0.27.0, gix@0.55.2, glob@0.3.1, globset@0.4.14, group@0.13.0, hashbrown@0.14.3, heck@0.4.1, hermit-abi@0.3.3, hex@0.4.3, hkdf@0.12.4, hmac@0.12.1, home@0.5.9, http-auth@0.1.9, humantime@2.1.0, idna@0.5.0, ignore@0.4.21, im-rc@15.1.0, indexmap@2.1.0, is-terminal@0.4.10, itertools@0.11.0, itertools@0.12.0, itoa@1.0.10, jobserver@0.1.27, js-sys@0.3.66, kstring@2.0.0, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.151, libgit2-sys@0.16.1+1.7.1, libloading@0.8.1, libnghttp2-sys@0.1.8+1.55.1, libssh2-sys@0.3.0, libz-sys@1.1.12, linux-raw-sys@0.4.12, lock_api@0.4.11, log@0.4.20, matchers@0.1.0, maybe-async@0.2.7, memchr@2.7.1, memmap2@0.7.1, memmap2@0.9.3, minimal-lexical@0.2.1, miniz_oxide@0.7.1, miow@0.6.0, nom@7.1.3, normpath@1.1.1, nu-ansi-term@0.46.0, num-conv@0.1.0, num-traits@0.2.17, num_threads@0.1.6, once_cell@1.19.0, opener@0.6.1, openssl-probe@0.1.5, openssl-sys@0.9.98, ordered-float@2.10.1, orion@0.17.6, os_info@3.7.0, overload@0.1.1, p384@0.13.0, parking_lot@0.12.1, parking_lot_core@0.9.9, pasetors@0.6.8, pathdiff@0.2.1, pem-rfc7468@0.7.0, percent-encoding@2.3.1, pin-project-lite@0.2.13, pkcs8@0.10.2, pkg-config@0.3.28, powerfmt@0.2.0, ppv-lite86@0.2.17, primeorder@0.13.6, proc-macro2@1.0.86, prodash@26.2.2, pulldown-cmark@0.9.3, quote@1.0.37, rand@0.8.5, rand_chacha@0.3.1, rand_core@0.6.4, rand_xoshiro@0.6.0, redox_syscall@0.4.1, regex-automata@0.1.10, regex-automata@0.4.3, regex-syntax@0.6.29, regex-syntax@0.8.2, regex@1.10.2, rfc6979@0.4.0, rustfix@0.6.1, rustix@0.38.28, ryu@1.0.16, same-file@1.0.6, schannel@0.1.23, scopeguard@1.2.0, sec1@0.7.3, security-framework-sys@2.9.1, security-framework@2.9.2, semver@1.0.20, serde-untagged@0.1.4, serde-value@0.7.0, serde@1.0.193, serde_derive@1.0.193, serde_ignored@0.1.9, serde_json@1.0.108, serde_spanned@0.6.5, sha1@0.10.6, sha1_smol@1.0.0, sha2@0.10.8, sharded-slab@0.1.7, shell-escape@0.1.5, signature@2.2.0, sized-chunks@0.6.5, smallvec@1.11.2, socket2@0.4.10, spki@0.7.3, static_assertions@1.1.0, strsim@0.10.0, subtle@2.5.0, supports-hyperlinks@2.1.0, syn@1.0.109, syn@2.0.77, tar@0.4.40, tempfile@3.9.0, terminal_size@0.3.0, thiserror-impl@1.0.52, thiserror@1.0.52, thread_local@1.1.7, time-core@0.1.2, time-macros@0.2.18, time@0.3.36, tinyvec@1.6.0, tinyvec_macros@0.1.1, toml@0.8.8, toml_datetime@0.6.5, toml_edit@0.20.7, toml_edit@0.21.0, tracing-attributes@0.1.27, tracing-core@0.1.32, tracing-log@0.2.0, tracing-subscriber@0.3.18, tracing@0.1.40, typenum@1.17.0, unicase@2.7.0, unicode-bidi@0.3.14, unicode-bom@2.0.3, unicode-ident@1.0.12, unicode-normalization@0.1.22, unicode-width@0.1.11, unicode-xid@0.2.4, url@2.5.0, utf8parse@0.2.1, valuable@0.1.0, vcpkg@0.2.15, version_check@0.9.4, walkdir@2.4.0, wasi@0.11.0+wasi-snapshot-preview1, wasm-bindgen-backend@0.2.89, wasm-bindgen-macro-support@0.2.89, wasm-bindgen-macro@0.2.89, wasm-bindgen-shared@0.2.89, wasm-bindgen@0.2.89, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.6, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-sys@0.48.0, windows-sys@0.52.0, windows-targets@0.48.5, windows-targets@0.52.0, windows@0.48.0, windows_aarch64_gnullvm@0.48.5, windows_aarch64_gnullvm@0.52.0, windows_aarch64_msvc@0.48.5, windows_aarch64_msvc@0.52.0, windows_i686_gnu@0.48.5, windows_i686_gnu@0.52.0, windows_i686_msvc@0.48.5, windows_i686_msvc@0.52.0, windows_x86_64_gnu@0.48.5, windows_x86_64_gnu@0.52.0, windows_x86_64_gnullvm@0.48.5, windows_x86_64_gnullvm@0.52.0, windows_x86_64_msvc@0.48.5, windows_x86_64_msvc@0.52.0, winnow@0.5.31, zeroize@1.7.0

Package: librust-cargo-c-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-cargo-0.76+default-dev,
 librust-cargo-util-0.2+default-dev,
 librust-cbindgen-0.27-dev,
 librust-cc-1+default-dev,
 librust-clap-4+cargo-dev (>= 4.0.29-~~),
 librust-clap-4+color-dev (>= 4.0.29-~~),
 librust-clap-4+default-dev (>= 4.0.29-~~),
 librust-clap-4+derive-dev (>= 4.0.29-~~),
 librust-glob-0.3+default-dev,
 librust-itertools-0+default-dev (>= 0.10-~~),
 librust-log-0.4+default-dev,
 librust-regex-1+default-dev (>= 1.5.6-~~),
 librust-semver-1+default-dev (>= 1.0.3-~~),
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.62-~~),
 librust-toml-0.8+default-dev
Provides:
 librust-cargo-c+default-dev (= ${binary:Version}),
 librust-cargo-c-0-dev (= ${binary:Version}),
 librust-cargo-c-0+default-dev (= ${binary:Version}),
 librust-cargo-c-0.9-dev (= ${binary:Version}),
 librust-cargo-c-0.9+default-dev (= ${binary:Version}),
 librust-cargo-c-0.9.29-dev (= ${binary:Version}),
 librust-cargo-c-0.9.29+default-dev (= ${binary:Version})
Description: Helper program to build and install c-like libraries - Rust source code
 Source code for Debianized Rust crate "cargo-c"

Package: cargo-c
Architecture: any
Multi-Arch: allowed
Section: rust
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Helper program to build and install c-like libraries
 cargo-c is an extension for Cargo, the Rust package manger, that allows
 users to build and install C-ABI compatible dynamic and static
 libraries. It produces and installs pkg-config files, a static and a
 dynamic library, and C headers to be used by any C-compatible software.
