=== debian/rules ===
#!/usr/bin/make -f

export CARGO_VENDOR_DIR = vendor
export LIBGIT2_NO_VENDOR = 1
export LIBSSH2_SYS_USE_PKG_CONFIG = 1

%:
	dh $@ --buildsystem cargo

override_dh_auto_test:
	dh_auto_test -- test --all

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/librust-cargo-c-dev/usr/share/cargo/registry/cargo-c-*/vendor
	rm -f $(CURDIR)/debian/librust-cargo-c-dev/usr/share/cargo/registry/cargo-c-*/Cargo.lock
