## rust-cargo-c 0.10.3

=== debian/changelog ===
rust-cargo-c (0.10.3-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.3+cargo-0.81.0 from crates.io using debcargo 2.6.1

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 04 Oct 2024 19:14:33 +0200
